# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "dcrypt-pke"
version = "1.2.3"
authors = ["Heath Ledger"]
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Public Key Encryption schemes for the dcrypt library"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/ioi-foundation/dcrypt"

[package.metadata.release]
publish = true

[features]
alloc = [
    "dcrypt-api/alloc",
    "dcrypt-common/alloc",
    "dcrypt-algorithms/alloc",
]
default = ["std"]
no_std = [
    "dcrypt-api/no_std",
    "dcrypt-common/no_std",
]
std = [
    "dcrypt-api/std",
    "dcrypt-common/std",
    "dcrypt-algorithms/std",
    "dep:thiserror",
    "alloc",
]

[lib]
name = "dcrypt_pke"
path = "src/lib.rs"

[dependencies.dcrypt-algorithms]
version = "=1.2.3"
features = [
    "ec",
    "kdf",
    "aead",
    "hash",
]
default-features = false

[dependencies.dcrypt-api]
version = "=1.2.3"
default-features = false

[dependencies.dcrypt-common]
version = "=1.2.3"
default-features = false

[dependencies.dcrypt-internal]
version = "=1.2.3"
default-features = false

[dependencies.dcrypt-params]
version = "=1.2.3"

[dependencies.rand]
version = "0.8.5"
default-features = false

[dependencies.subtle]
version = "2.6.1"
default-features = false

[dependencies.thiserror]
version = "1.0.69"
optional = true

[dependencies.zeroize]
version = "1.8.1"
features = ["zeroize_derive"]

[dev-dependencies.hex]
version = "0.4"

[dev-dependencies.rand_chacha]
version = "0.3.1"
